# class DrawContentsEvent |
Full name | `khtml::DrawContentsEvent`
Definition | `#include <khtml_events.h>`
Inherits | KParts::Event (kparts) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DrawContentsEvent ( QPainter *painter, int clipx, int clipy, int clipw, int cliph )
- virtual ~DrawContentsEvent ()
- QPainter * painter () const
- int clipx () const
- int clipy () const
- int clipw () const
- int cliph () const

#### Public Static Methods

- static bool test ( const QEvent *event )

## Detailed Description

DrawContentsEvent ( QPainter *painter, int clipx, int clipy, int clipw, int cliph ) | ### DrawContentsEvent

~DrawContentsEvent () | ### ~DrawContentsEvent

[virtual]

QPainter * painter () | ### painter

[const]

int clipx () | ### clipx

[const]

int clipy () | ### clipy

[const]

int clipw () | ### clipw

[const]

int cliph () | ### cliph

[const]

bool test ( const QEvent *event ) | ### test

[static]

Reimplemented from Event.

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:52 2001, using kdoc 2.0a53.